Package ru.bitel.bgbilling.modules.npay.server.task

# Class Calculator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.modules.npay.server.task.Calculator

public class Calculator extends ru.bitel.bgbilling.kernel.task.server.TaskBase

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, error, moduleId, setup, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Calculator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `executeTask()`
  `ru.bitel.bgbilling.modules.npay.server.calculate.ServiceConfigCache`
  `getConfigCache()`
  `ServiceCostCache`
  `getCostCache()`
  `String`
  `getDescription()`
  `protected boolean`
  `initTask()`
  `boolean`
  `isCalcErrors()`
  `void`
  `setActiveFromDate(Calendar value)`
  Устанавливает дату, с которой статус считать активным для режима предтарификации.
  `Calculator`
  `setContractIds(List<Integer> contractIds)`
  Устанавливает коды договоров, для которых производится калькуляция.
  `Calculator`
  `setContractLabelIds(List<Integer> contractLabelIds)`
  `void`
  `setModuleAccountMap(Map<Integer,ModuleAccount> moduleAccountMap)`
  `void`
  `setModuleAmountMap(Map<Integer,ModuleAmount> moduleAmountMap)`
  `void`
  `setModuleQuantityMap(Map<Integer,ModuleQuantity> moduleQкuantityMap)`
  `void`
  `setPreCalc()`
  Deprecated.
  использовать `setPreCalc(int)`
  `void`
  `setPreCalc(int status)`
  Устанавливает режим предкалькуляции, при котором результаты в базу не заносится.
  `void`
  `setServiceObjectList(List<ServiceObject> serviceObjectList)`
  Устанавливает набор услуг с периодами.
  `void`
  `setTariffList(List<ContractTariff> tariffList)`
  Устанавливает тарифы с периодами.
  `void`
  `setTariffOptionEnable(boolean tariffOptionEnable)`
  Устанавливает флаг учёта тарифных опции при тарификации.
  `List<TaskParameter>`
  `taskParameters()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getError, getFinishTime, getModuleId, getOperatingTime, getPriority, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, setPriority, startTask, to`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Calculator

    public Calculator()

- ## Method Details

  - ### setContractIds

    public Calculator setContractIds(List<Integer> contractIds)
    Устанавливает коды договоров, для которых производится калькуляция.
    Parameters:
      `codes` - коды договоров через запятую.

  - ### setContractLabelIds

    public Calculator setContractLabelIds(List<Integer> contractLabelIds)

  - ### setPreCalc

    @Deprecated public void setPreCalc()
    Deprecated.
    использовать `setPreCalc(int)`
    вызов setPreCalc( 0 );

  - ### setPreCalc

    public void setPreCalc(int status)
    Устанавливает режим предкалькуляции, при котором результаты в базу не заносится. Если не установлена дата, с которой статус активен, то он устанавливается равным `TaskBase.getOperatingTime()`. Это нужно для выполнения предкалькуляции в закрытом статусе, чтобы оценить сумму абонплаты после его открытия.

  - ### setActiveFromDate

    public void setActiveFromDate(Calendar value)
    Устанавливает дату, с которой статус считать активным для режима предтарификации.
    Parameters:
      `value` - если null, то будет выполнена калькуляция с текущими статусами, как есть.

  - ### setServiceObjectList

    public void setServiceObjectList(List<ServiceObject> serviceObjectList)
    Устанавливает набор услуг с периодами.
    Parameters:
      `serviceObjectList` - если null, то будет выполнена калькуляция с услугами из БД.

  - ### setTariffList

    public void setTariffList(List<ContractTariff> tariffList)
    Устанавливает тарифы с периодами.
    Parameters:
      `tariffList` - если null, то будет выполнена калькуляция с тарифами из БД.

  - ### setTariffOptionEnable

    public void setTariffOptionEnable(boolean tariffOptionEnable)
    Устанавливает флаг учёта тарифных опции при тарификации.
    Parameters:
      `tariffOptionEnable` -

  - ### getCostCache

    public ServiceCostCache getCostCache()

  - ### getConfigCache

    public ru.bitel.bgbilling.modules.npay.server.calculate.ServiceConfigCache getConfigCache()

  - ### isCalcErrors

    public boolean isCalcErrors()

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### setModuleAmountMap

    public void setModuleAmountMap(Map<Integer,ModuleAmount> moduleAmountMap)

  - ### setModuleAccountMap

    public void setModuleAccountMap(Map<Integer,ModuleAccount> moduleAccountMap)

  - ### setModuleQuantityMap

    public void setModuleQuantityMap(Map<Integer,ModuleQuantity> moduleQкuantityMap)

  - ### taskParameters

    public List<TaskParameter> taskParameters()
    Overrides:
      `taskParameters` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`